:: ########################################################################################################
:: Last Modified: February 26, 2008
:: Please refer to ProfileHelp.txt for an explanation of each option specified in this file.
@echo off & cls & setlocal enableextensions
ver | find "Version 5." >nul
set VerCheck1=%ErrorLevel%
ver | find "Version 6." >nul
set VerCheck2=%ErrorLevel%
ver | find "Version 10." >nul
set VerCheck3=%ErrorLevel%
set VerCheck=%VerCheck1%%VerCheck2%%VerCheck3%
set VerCheck1=
set VerCheck2=
set VerCheck3=
if "%VerCheck%"=="111" (echo These scripts run only on Windows 2000 or later.) & (MsgBox "These scripts run only on Windows 2000 or later." "Image for Windows Scripts" 4 1) & (goto :EOF)
:: Do not make routine changes above this line.
:: ########################################################################################################

:: <---- START OF PROFILE ---->

:: ########################################################################################################
:: The settings in the following section are required, regardless of where images are to be saved.
:: ########################################################################################################

set IFWPath=C:\Program Files\TeraByte Unlimited\Image for Windows\V2\imagew.exe
set IFWParms=
set ImageName=

:: ########################################################################################################
:: The settings in the following section are only applicable if you are saving images to a hard drive.
:: When saving images to a hard drive, each of the options listed in this section are required.
:: READ PROFILEHELP.TXT BEFORE SETTING BACKUPPARENTDIR!
:: ########################################################################################################

set BackupParentDir=
set Space=

:: ########################################################################################################
:: When saving images to an optical drive, the TargetOpticalDrive setting below is required.
:: It must be left blank if is not used.
:: ########################################################################################################

set TargetOpticalDrive=

:: ########################################################################################################
:: The settings in the following section are optional.  However, they are still important, and should be
:: reviewed.  Refer to ProfileHelp.txt for more information.
:: ########################################################################################################

set IFWScriptPath=

set IFWLogPath=

set AppendToLog=1

set PromptBeforeRun=1
set PromptText=Do you want to run the Image for Windows batch process?
set PromptTimeout=

set NotifyComplete=1
set NotifyNormalTimeout=
set NotifyErrorTimeout=

set RunPrior01=::nircmd.exe emptybin
set RunPrior02=
set RunPrior03=
set RunPrior04=
set RunPrior05=
set RunPrior06=
set RunPrior07=
set RunPrior08=
set RunPrior09=
set RunPrior10=
set RunPrior11=
set RunPrior12=
set RunPrior13=
set RunPrior14=
set RunPrior15=

set RunAfterAlways01=::start "" Notepad.exe "%IFWLogPath%"
set RunAfterAlways02=
set RunAfterAlways03=
set RunAfterAlways04=
set RunAfterAlways05=
set RunAfterAlways06=
set RunAfterAlways07=
set RunAfterAlways08=
set RunAfterAlways09=
set RunAfterAlways10=
set RunAfterAlways11=
set RunAfterAlways12=
set RunAfterAlways13=
set RunAfterAlways14=
set RunAfterAlways15=

:: Note: The use of "\BackupChildDir\" below (rather than "\%BackupChildDir%\") is correct and intentional.
::       It works because delayed variable expansion is used for the applicable RunAfterCondXX variable.
::       Please refer to the :RunIFW section of the IFWv2.cmd script to see where this takes place.

set RunAfterCond01=
set RunAfterCond02=
set RunAfterCond03=
set RunAfterCond04=
set RunAfterCond05=
set RunAfterCond06=
set RunAfterCond07=
set RunAfterCond08=
set RunAfterCond09=
set RunAfterCond10=
set RunAfterCond11=
set RunAfterCond12=
set RunAfterCond13=
set RunAfterCond14=
set RunAfterCond15=

:: ########################################################################################################
:: Do not make routine changes below this line.

set CalledFromProfile=1
if not defined IFWScriptPath (call %0\..\IFWv2.cmd) else (call "%IFWScriptPath%")
if not defined IFWScriptFound (echo The main IFW script was not found.  Please configure the IFWScriptPath setting in %0.) & (MsgBox "The main IFW script was not found.  Please configure the IFWScriptPath setting in the profile script." "Image for Windows Scripts" 4 1)

:: <---- END OF PROFILE ---->

:: Copyright (c) 2008 TeraByte, Inc.  All Rights Reserved.

:: End of script
