:: ########################################################################################################
:: Last Modified: March 6, 2008
:: You do not need to make routine changes to this batch file.
:: ########################################################################################################

(@echo off) & (cls)

set IFWScriptFound=1

setlocal enableextensions enabledelayedexpansion

if not defined CalledFromProfile (echo.) & (echo Do not run %0 directly.  Please refer to ReadMe.txt.) & (echo.)
if not defined CalledFromProfile MsgBox "Do not run this script directly.  Please refer to ReadMe.txt." "Image for Windows Scripts" 4 1
if not defined CalledFromProfile (pause) & (goto :EOF)

if defined IFWLogPath set Log=1
if "%Log%" == "1" echo.>> "%IFWLogPath%"
if "%Log%" == "1" if not exist "%IFWLogPath%" goto :ErrorBadLogPath

if "%Log%" == "1" if not defined AppendToLog    (echo [%date% at %time%] Image for Windows batch process started.>  "%IFWLogPath%") & (goto :LoggedStart)
if "%Log%" == "1" if not "%AppendToLog%" == "1" (echo [%date% at %time%] Image for Windows batch process started.>  "%IFWLogPath%") & (goto :LoggedStart)
if "%Log%" == "1" if     "%AppendToLog%" == "1" (echo [%date% at %time%] Image for Windows batch process started.>> "%IFWLogPath%") & (goto :LoggedStart)
:LoggedStart

MsgBox  >nul 2>&1
if ErrorLevel 9009 (set MissingEXE=MsgBox.exe)  & (goto :ErrorMissingEXE)

IsFree  >nul 2>&1
if ErrorLevel 9009 (set MissingEXE=IsFree.exe)  & (goto :ErrorMissingEXE)

IsAdmin >nul 2>&1
if ErrorLevel 9009 (set MissingEXE=IsAdmin.exe) & (goto :ErrorMissingEXE)

reg >nul 2>&1
if ErrorLevel 9009 (set MissingEXE=reg.exe)     & (goto :ErrorMissingEXE)

IsAdmin -q
if not ErrorLevel 1 goto :ErrorNotAdmin

if not defined IFWPath set IFWPath=%0\..\imagew.exe
if not exist "%IFWPath%" goto :ErrorNoIFW

if not defined PromptBeforeRun goto :SkipPrompt
if "%PromptBeforeRun%" == "0"  goto :SkipPrompt
MsgBox "%PromptText%" "Image for Windows Scripts" 3 3 %PromptTimeout%
if ErrorLevel 7 goto :EOF
:SkipPrompt

(echo.) & (echo Running Image for Windows batch process...) & (echo Do not close this window.) & (echo.)

:: ########################################################################################################

if not defined IFWParms        (set MissingSetting=IFWParms)        & (goto :ErrorConfig)
if not defined IFWParms        (set MissingSetting=TargetParm)      & (goto :ErrorConfig)
if not defined ImageName       (set MissingSetting=ImageName)       & (goto :ErrorConfig)

if defined TargetOpticalDrive if defined BackupParentDir goto :ErrorTargetConflict
if defined TargetOpticalDrive if defined Space           goto :ErrorTargetConflict
if defined TargetOpticalDrive goto :RunIFW

if not defined BackupParentDir (set MissingSetting=BackupParentDir) & (goto :ErrorConfig)

:: ########################################################################################################

for /f "tokens=1 delims=:" %%a in ("%BackupParentDir%") do set TargetHardDrive=%%a
if not exist %TargetHardDrive%:\ goto :ErrorNoTarget

if not exist "%BackupParentDir%" (mkdir "%BackupParentDir%") & (set DirCreated=Y)
if not exist "%BackupParentDir%" goto :ErrorNoTargetParent
if "%Log%" == "1" if "%DirCreated%" == "Y" echo [%date% at %time%] Created directory "%BackupParentDir%".>> "%IFWLogPath%"
set DirCreated=

:: ########################################################################################################

:IsFree

if not defined Space set Space=0

if "%Space%" == "oldest" goto :SkipFreeCheck
IsFree %TargetHardDrive%: %Space% /quiet
if ErrorLevel 1 goto :AssignNewDirName

:SkipFreeCheck

for /f %%a in ('dir "%BackupParentDir%" /a:d /b /o:n /p /-p /w /-w') do (set ChildDir01=%%a) & (goto :DeleteOldestDir)

:DeleteOldestDir

if     exist "%BackupParentDir%\%ChildDir01%" set DeleteDir=%BackupParentDir%\%ChildDir01%
if not exist "%BackupParentDir%\%ChildDir01%" set DeleteDir=%BackupParentDir%

if "%DeleteDir%" == "%PreviousDir%" goto :ErrorSpace

if exist "%BackupParentDir%\%ChildDir01%\025" set DeleteDir=%BackupParentDir%\%ChildDir01%\025
if exist "%BackupParentDir%\%ChildDir01%\024" set DeleteDir=%BackupParentDir%\%ChildDir01%\024
if exist "%BackupParentDir%\%ChildDir01%\023" set DeleteDir=%BackupParentDir%\%ChildDir01%\023
if exist "%BackupParentDir%\%ChildDir01%\022" set DeleteDir=%BackupParentDir%\%ChildDir01%\022
if exist "%BackupParentDir%\%ChildDir01%\021" set DeleteDir=%BackupParentDir%\%ChildDir01%\021
if exist "%BackupParentDir%\%ChildDir01%\020" set DeleteDir=%BackupParentDir%\%ChildDir01%\020
if exist "%BackupParentDir%\%ChildDir01%\019" set DeleteDir=%BackupParentDir%\%ChildDir01%\019
if exist "%BackupParentDir%\%ChildDir01%\018" set DeleteDir=%BackupParentDir%\%ChildDir01%\018
if exist "%BackupParentDir%\%ChildDir01%\017" set DeleteDir=%BackupParentDir%\%ChildDir01%\017
if exist "%BackupParentDir%\%ChildDir01%\016" set DeleteDir=%BackupParentDir%\%ChildDir01%\016
if exist "%BackupParentDir%\%ChildDir01%\015" set DeleteDir=%BackupParentDir%\%ChildDir01%\015
if exist "%BackupParentDir%\%ChildDir01%\014" set DeleteDir=%BackupParentDir%\%ChildDir01%\014
if exist "%BackupParentDir%\%ChildDir01%\013" set DeleteDir=%BackupParentDir%\%ChildDir01%\013
if exist "%BackupParentDir%\%ChildDir01%\012" set DeleteDir=%BackupParentDir%\%ChildDir01%\012
if exist "%BackupParentDir%\%ChildDir01%\011" set DeleteDir=%BackupParentDir%\%ChildDir01%\011
if exist "%BackupParentDir%\%ChildDir01%\010" set DeleteDir=%BackupParentDir%\%ChildDir01%\010
if exist "%BackupParentDir%\%ChildDir01%\009" set DeleteDir=%BackupParentDir%\%ChildDir01%\009
if exist "%BackupParentDir%\%ChildDir01%\008" set DeleteDir=%BackupParentDir%\%ChildDir01%\008
if exist "%BackupParentDir%\%ChildDir01%\007" set DeleteDir=%BackupParentDir%\%ChildDir01%\007
if exist "%BackupParentDir%\%ChildDir01%\006" set DeleteDir=%BackupParentDir%\%ChildDir01%\006
if exist "%BackupParentDir%\%ChildDir01%\005" set DeleteDir=%BackupParentDir%\%ChildDir01%\005
if exist "%BackupParentDir%\%ChildDir01%\004" set DeleteDir=%BackupParentDir%\%ChildDir01%\004
if exist "%BackupParentDir%\%ChildDir01%\003" set DeleteDir=%BackupParentDir%\%ChildDir01%\003
if exist "%BackupParentDir%\%ChildDir01%\002" set DeleteDir=%BackupParentDir%\%ChildDir01%\002
if exist "%BackupParentDir%\%ChildDir01%\001" set DeleteDir=%BackupParentDir%\%ChildDir01%\001

set DelMessage1=Deleted directory
if "%Space%" == "oldest" (set DelMessage2= per "Space=oldest" configuration) else (set DelMessage2= to meet %Space%-MiB space requirement)
(dir "%DeleteDir%" /a:-d /b 1>nul 2>nul) & (if ErrorLevel 1 (set DelMessage1=Deleted empty directory) & (set DelMessage2=))

rd /s /q "%DeleteDir%"
ping -n 1 127.0.0.1 >nul

if "%Log%" == "1" if not exist "%DeleteDir%" echo [%date% at %time%] %DelMessage1% "%DeleteDir%"%DelMessage2%.>> "%IFWLogPath%"

set PreviousDir=%DeleteDir%
if exist "%DeleteDir%" goto :ErrorDelete
if "%Space%" == "oldest" (goto :AssignNewDirName) else (goto :IsFree)

:: ########################################################################################################

:AssignNewDirName

for /f "tokens=2* delims=	 " %%a in ('reg.exe query "HKCU\Control Panel\International" /v iDate') do set iDate=%%b
for /f "tokens=2* delims=	 " %%a in ('reg.exe query "HKCU\Control Panel\International" /v sDate') do set sDate=%%b

if "%iDate%" == "1" (
   for /f "tokens=1,2,3 delims=MonTueWedThuFriSatSun%sDate% " %%a in ("%date%") do set YYYYMMDD=%%c%%b%%a)

if "%iDate%" == "2" (
   for /f "tokens=1,2,3 delims=MonTueWedThuFriSatSun%sDate% " %%a in ("%date%") do set YYYYMMDD=%%a%%b%%c)

if not defined YYYYMMDD (
   for /f "tokens=1,2,3 delims=MonTueWedThuFriSatSun%sDate% " %%a in ("%date%") do set YYYYMMDD=%%c%%a%%b)

set BackupChildDir=%YYYYMMDD%

if not exist "%BackupParentDir%\%YYYYMMDD%" goto :CreateBackupChildDir

if exist "%BackupParentDir%\%BackupChildDir%\025" goto :ErrorTooManuSubdirs
if exist "%BackupParentDir%\%BackupChildDir%\024" (set BackupChildDir=%YYYYMMDD%\025) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\023" (set BackupChildDir=%YYYYMMDD%\024) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\022" (set BackupChildDir=%YYYYMMDD%\023) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\021" (set BackupChildDir=%YYYYMMDD%\022) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\020" (set BackupChildDir=%YYYYMMDD%\021) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\019" (set BackupChildDir=%YYYYMMDD%\020) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\018" (set BackupChildDir=%YYYYMMDD%\019) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\017" (set BackupChildDir=%YYYYMMDD%\018) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\016" (set BackupChildDir=%YYYYMMDD%\017) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\015" (set BackupChildDir=%YYYYMMDD%\016) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\014" (set BackupChildDir=%YYYYMMDD%\015) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\013" (set BackupChildDir=%YYYYMMDD%\014) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\012" (set BackupChildDir=%YYYYMMDD%\013) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\011" (set BackupChildDir=%YYYYMMDD%\012) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\010" (set BackupChildDir=%YYYYMMDD%\011) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\009" (set BackupChildDir=%YYYYMMDD%\010) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\008" (set BackupChildDir=%YYYYMMDD%\009) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\007" (set BackupChildDir=%YYYYMMDD%\008) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\006" (set BackupChildDir=%YYYYMMDD%\007) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\005" (set BackupChildDir=%YYYYMMDD%\006) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\004" (set BackupChildDir=%YYYYMMDD%\005) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\003" (set BackupChildDir=%YYYYMMDD%\004) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\002" (set BackupChildDir=%YYYYMMDD%\003) & (goto :CreateBackupChildDir)
if exist "%BackupParentDir%\%BackupChildDir%\001" (set BackupChildDir=%YYYYMMDD%\002) & (goto :CreateBackupChildDir)

set BackupChildDir=%YYYYMMDD%\001

if exist "%BackupParentDir%\%YYYYMMDD%" (
   if not exist "%BackupParentDir%\%YYYYMMDD%\*.tbi" (
      set BackupChildDir=%YYYYMMDD%))

:CreateBackupChildDir

if not exist "%BackupParentDir%\%BackupChildDir%" (mkdir "%BackupParentDir%\%BackupChildDir%") & (set DirCreated=Y)
if not exist "%BackupParentDir%\%BackupChildDir%" (set DirCreate=%BackupParentDir%\%BackupChildDir%) & (goto :ErrorDirCreate)
if "%Log%" == "1" if "%DirCreated%" == "Y" echo [%date% at %time%] Created directory "%BackupParentDir%\%BackupChildDir%".>> "%IFWLogPath%"
set DirCreated=

if not "%BackupChildDir%" == "%YYYYMMDD%\001" goto :RunIFW

move "%BackupParentDir%\%YYYYMMDD%\*.*" "%BackupParentDir%\%YYYYMMDD%\001" >nul
if ErrorLevel 1 (goto :ErrorFileMove) else (if "%Log%" == "1" echo [%date% at %time%] Moved files from "%BackupParentDir%\%YYYYMMDD%" to "%BackupParentDir%\%YYYYMMDD%\001".>> "%IFWLogPath%")
if not exist "%BackupParentDir%\%YYYYMMDD%\002" (set BackupChildDir=%YYYYMMDD%\002) & (goto :CreateBackupChildDir)

:: ########################################################################################################

:RunIFW

if defined RunPrior01       (set RunPrior01=!RunPrior01:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior02       (set RunPrior02=!RunPrior02:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior03       (set RunPrior03=!RunPrior03:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior04       (set RunPrior04=!RunPrior04:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior05       (set RunPrior05=!RunPrior05:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior06       (set RunPrior06=!RunPrior06:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior07       (set RunPrior07=!RunPrior07:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior08       (set RunPrior08=!RunPrior08:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior09       (set RunPrior09=!RunPrior09:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior10       (set RunPrior10=!RunPrior10:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior11       (set RunPrior11=!RunPrior11:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior12       (set RunPrior12=!RunPrior12:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior13       (set RunPrior13=!RunPrior13:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior14       (set RunPrior14=!RunPrior14:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunPrior15       (set RunPrior15=!RunPrior15:\BackupChildDir\=\%BackupChildDir%\!)

if defined RunAfterAlways01 (set RunAfterAlways01=!RunAfterAlways01:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways02 (set RunAfterAlways02=!RunAfterAlways02:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways03 (set RunAfterAlways03=!RunAfterAlways03:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways04 (set RunAfterAlways04=!RunAfterAlways04:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways05 (set RunAfterAlways05=!RunAfterAlways05:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways06 (set RunAfterAlways06=!RunAfterAlways06:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways07 (set RunAfterAlways07=!RunAfterAlways07:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways08 (set RunAfterAlways08=!RunAfterAlways08:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways09 (set RunAfterAlways09=!RunAfterAlways09:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways10 (set RunAfterAlways10=!RunAfterAlways10:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways11 (set RunAfterAlways11=!RunAfterAlways11:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways12 (set RunAfterAlways12=!RunAfterAlways12:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways13 (set RunAfterAlways13=!RunAfterAlways13:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways14 (set RunAfterAlways14=!RunAfterAlways14:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterAlways15 (set RunAfterAlways15=!RunAfterAlways15:\BackupChildDir\=\%BackupChildDir%\!)

if defined RunAfterCond01   (set RunAfterCond01=!RunAfterCond01:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond02   (set RunAfterCond02=!RunAfterCond02:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond03   (set RunAfterCond03=!RunAfterCond03:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond04   (set RunAfterCond04=!RunAfterCond04:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond05   (set RunAfterCond05=!RunAfterCond05:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond06   (set RunAfterCond06=!RunAfterCond06:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond07   (set RunAfterCond07=!RunAfterCond07:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond08   (set RunAfterCond08=!RunAfterCond08:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond09   (set RunAfterCond09=!RunAfterCond09:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond10   (set RunAfterCond10=!RunAfterCond10:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond11   (set RunAfterCond11=!RunAfterCond11:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond12   (set RunAfterCond12=!RunAfterCond12:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond13   (set RunAfterCond13=!RunAfterCond13:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond14   (set RunAfterCond14=!RunAfterCond14:\BackupChildDir\=\%BackupChildDir%\!)
if defined RunAfterCond15   (set RunAfterCond15=!RunAfterCond15:\BackupChildDir\=\%BackupChildDir%\!)

%RunPrior01%
%RunPrior02%
%RunPrior03%
%RunPrior04%
%RunPrior05%
%RunPrior06%
%RunPrior07%
%RunPrior08%
%RunPrior09%
%RunPrior10%
%RunPrior11%
%RunPrior12%
%RunPrior13%
%RunPrior14%
%RunPrior15%

:: ########################################################################################################

for /f "tokens=1-3 delims=. " %%e in ('%SystemRoot%\system32\tasklist.exe /FI "imagename eq imagew.exe" /NH') do (set EXERunning=%%e.%%f)
if /i "%EXERunning%"=="imagew.exe" (goto :ErrorIFWRunning) else (goto :IFWNotRunning)

:IFWNotRunning

:: ########################################################################################################

if     defined TargetOpticalDrive set TargetParm=/f:wo%TargetOpticalDrive%:"%ImageName%"
if not defined TargetOpticalDrive set TargetParm=/f:"%BackupParentDir%\%BackupChildDir%\%ImageName%"

:: ########################################################################################################

if "%Log%" == "1" echo [%date% at %time%] Image for Windows started ["%IFWPath%" %IFWParms% %TargetParm%].>> "%IFWLogPath%"

start "" /wait "%IFWPath%" %IFWParms% %TargetParm%

:: ########################################################################################################

:PostIFWErrorCheck

set IFWExitCode=%ErrorLevel%

if "%IFWExitCode%" == "0"   if "%Log%" == "1" echo [%date% at %time%] Image for Windows ended [No errors; Exit Code %IFWExitCode%].>> "%IFWLogPath%"
if "%IFWExitCode%" == "0"   goto :RunPostIFWTasks
if "%IFWExitCode%" == "1"   goto :ErrorCanceled
if "%IFWExitCode%" == "2"   goto :ErrorMemory
if "%IFWExitCode%" == "3"   goto :ErrorRead
if "%IFWExitCode%" == "4"   goto :ErrorWrite
if "%IFWExitCode%" == "5"   goto :ErrorMount
if "%IFWExitCode%" == "6"   goto :ErrorOpen
if "%IFWExitCode%" == "7"   goto :ErrorClose
if "%IFWExitCode%" == "8"   goto :ErrorFindEntry
if "%IFWExitCode%" == "9"   goto :ErrorUnhandled
if "%IFWExitCode%" == "11"  goto :ErrorOverlap
if "%IFWExitCode%" == "12"  goto :ErrorOccupied
if "%IFWExitCode%" == "13"  goto :ErrorUnhandled
if "%IFWExitCode%" == "17"  goto :ErrorDevice
if "%IFWExitCode%" == "18"  goto :ErrorUnhandled
if "%IFWExitCode%" == "60"  goto :ErrorUnhandled
if "%IFWExitCode%" == "61"  goto :ErrorInvalidParameters
if "%IFWExitCode%" == "62"  goto :ErrorUnhandled
if "%IFWExitCode%" == "63"  goto :ErrorOutOfBounds
if "%IFWExitCode%" == "64"  goto :ErrorFileFormat
if "%IFWExitCode%" == "65"  goto :ErrorNoMoreEntries
if "%IFWExitCode%" == "66"  goto :ErrorMBR
if "%IFWExitCode%" == "67"  goto :ErrorFile
if "%IFWExitCode%" == "68"  goto :ErrorPHYLockStart
if "%IFWExitCode%" == "69"  goto :ErrorUnhandled
if "%IFWExitCode%" == "77"  goto :ErrorCreate
if "%IFWExitCode%" == "79"  goto :ErrorISC
if "%IFWExitCode%" == "80"  goto :ErrorISC
if "%IFWExitCode%" == "200" goto :ErrorByteByByte
if "%IFWExitCode%" == "201" goto :ErrorResize
if "%IFWExitCode%" == "202" goto :ErrorUnhandled
if "%IFWExitCode%" == "203" goto :ErrorPHYLockSetup
if "%IFWExitCode%" == "204" goto :ErrorPHYLockCache
if "%IFWExitCode%" == "205" goto :ErrorISC

goto :ErrorUnhandled

:: ########################################################################################################

:ErrorBadLogPath
set ErrorText=The log file at '%IFWLogPath%' could not be created.  [ErrorBadLogPath]
goto :ReportErrorPreIFW

:ErrorMissingEXE
set ErrorText=The program '%MissingEXE%' is required but not present.  [ErrorMissingEXE]
goto :ReportErrorPreIFW

:ErrorNotAdmin
set ErrorText=Administrator privileges are required but not present.  [ErrorNotAdmin]
goto :ReportErrorPreIFW

:ErrorIFWRunning
set ErrorText=Image for Windows [IMAGEW.EXE] was already running.  Multiple instances are not supported.  [ErrorIFWRunning]
goto :ReportErrorPreIFW

:ErrorNoTarget
set ErrorText=The backup target drive %TargetHardDrive%: was not found.  Please check the following setting: 'BackupParentDir=%BackupParentDir%'.  [ErrorNoTarget]
goto :ReportErrorPreIFW

:ErrorConfig
set ErrorText=Please check your settings.  A required setting is not configured: '%MissingSetting%'.  [ErrorConfig]
goto :ReportErrorPreIFW

:ErrorTargetConflict
set ErrorText=Please check your settings.  If the TargetOpticalDrive option is configured, the BackupParentDir and Space options must not be.  [ErrorTargetConflict]
goto :ReportErrorPreIFW

:ErrorNoIFW
set ErrorText=The Image for Windows program file was not found.  Attempted to find it at '%IFWPath%'.  Please either place this script in the same directory as IMAGEW.EXE, or configure the 'IFWPath' setting.  [ErrorNoIFW]
goto :ReportErrorPreIFW

:ErrorNoTargetParent
set ErrorText=The specified backup root directory '%BackupParentDir%' was not found, and could not be created.  [ErrorNoTargetParent]
goto :ReportErrorPreIFW

:ErrorDirCreate
set ErrorText=Could not create directory '%DirCreate%'.  [ErrorDirCreate]
goto :ReportErrorPreIFW

:ErrorTooManuSubdirs
set ErrorText=The maximum number of subdirectories are already present under '%BackupParentDir%\%BackupChildDir%'.  [ErrorTooManySubdirs]
goto :ReportErrorPreIFW

:ErrorFileMove
set ErrorText=An error occurred while attempting to move files from '%BackupParentDir%' to '%BackupParentDir%\001'.  [ErrorFileMove]
goto :ReportErrorPreIFW

:ErrorSpace
set ErrorText=Not enough backup subdirectories were found under '%BackupParentDir%' for deletion to meet %Space%-MiB space requirement.  [ErrorSpace]
goto :ReportErrorPreIFW

:ErrorDelete
set ErrorText=An error occurred while trying to delete the directory '%DeleteDir%'.  [ErrorDelete]
goto :ReportErrorPreIFW

:: ########################################################################################################

:ErrorByteByByte
set ErrorText=The byte-for-byte validation failed.  [ErrorByteByByte]
goto :ReportErrorPostIFW

:ErrorISC
set ErrorText=The image stream is corrupt.  [ErrorISC]
goto :ReportErrorPostIFW

:ErrorPHYLockStart
set ErrorText=Unable to obtain a lock on the source partition, or the process was canceled while PHYLock was waiting.  [ErrorPHYLockStart]
goto :ReportErrorPostIFW

:ErrorPHYLockSetup
set ErrorText=A problem exists with the PHYLock configuration.  The PHYLock cache may be too large.  [ErrorPHYLockSetup]
goto :ReportErrorPostIFW

:ErrorPHYLockCache
set ErrorText=PHYLock failed to cache all changes.  The PHYLock cache may be too small.  [ErrorPHYLockCache]
goto :ReportErrorPostIFW

:ErrorCanceled
set ErrorText=Image for Windows was canceled.  [ErrorCanceled]
goto :ReportErrorPostIFW

:ErrorInvalidParameters
set ErrorText=Invalid parameters were passed to Image for Windows.  [ErrorInvalidParameters]
goto :ReportErrorPostIFW

:ErrorMemory
set ErrorText=Out of virtual memory.  [ErrorMemory]
goto :ReportErrorPostIFW

:ErrorOpen
set ErrorText=An error occurred while creating or opening the image file.  [ErrorOpen]
goto :ReportErrorPostIFW

:ErrorCreate
set ErrorText=An error occurred while attempting to create the image file.  [ErrorCreate]
goto :ReportErrorPostIFW

:ErrorClose
set ErrorText=An error occurred while closing the image file.  [ErrorClose]
goto :ReportErrorPostIFW

:ErrorRead
set ErrorText=An error occurred while reading the image file.  [ErrorRead]
goto :ReportErrorPostIFW

:ErrorWrite
set ErrorText=An error occurred while writing to the image file.  [ErrorWrite]
goto :ReportErrorPostIFW

:ErrorMount
set ErrorText=Unable to mount the file system.  [ErrorMount]
goto :ReportErrorPostIFW

:ErrorFindEntry
set ErrorText=Unable to find the partition or volume entry.  [ErrorFindEntry]
goto :ReportErrorPostIFW

:ErrorOverlap
set ErrorText=A partition overlap was detected.  [ErrorOverlap]
goto :ReportErrorPostIFW

:ErrorOccupied
set ErrorText=An entry or area was found to be already occupied.  [ErrorOccupied]
goto :ReportErrorPostIFW

:ErrorDevice
set ErrorText=An unspecified device error occurred.  [ErrorDevice]
goto :ReportErrorPostIFW

:ErrorOutOfBounds
set ErrorText=An unspecified out-of-bounds error occurred.  [ErrorOutOfBounds]
goto :ReportErrorPostIFW

:ErrorFileFormat
set ErrorText=An invalid file format was detected.  [ErrorFileFormat]
goto :ReportErrorPostIFW

:ErrorNoMoreEntries
set ErrorText=The partition entry limit was reached.  [ErrorNoMoreEntries]
goto :ReportErrorPostIFW

:ErrorMBR
set ErrorText=The MBR is corrupt or cannot be updated.  [ErrorMBR]
goto :ReportErrorPostIFW

:ErrorFile
set ErrorText=An unspecified file error occurred.  [ErrorFile]
goto :ReportErrorPostIFW

:ErrorResize
set ErrorText=An error occurred during a resize operation.  [ErrorResize]
goto :ReportErrorPostIFW

:ErrorUnhandled
set ErrorText=An unhandled error occurred.  [ErrorUnhandled]
goto :ReportErrorPostIFW

:: ########################################################################################################

:ReportErrorPreIFW
if "%Log%" == "1" echo [%date% at %time%] Image for Windows did not run [Error: %ErrorText%].>> "%IFWLogPath%"
(cls) & (echo.) & (echo [%date% at %time%] Image for Windows did not run [Error: %ErrorText%].)
MsgBox "Error: %ErrorText%" "Image for Windows Scripts" 4 1 %NotifyErrorTimeout%
set NotifyComplete=0
goto :SkipPostIFWTasks

:ReportErrorPostIFW
if "%Log%" == "1" echo [%date% at %time%] Image for Windows ended [Error: %ErrorText%; Exit Code %IFWExitCode%].>> "%IFWLogPath%"
if not defined NotifyComplete goto :RunPostIFWTasks
if not "%NotifyComplete%" == "0" (cls) & (echo.) & (echo [%date% at %time%] Image for Windows ended [Error: %ErrorText%; Exit Code %IFWExitCode%].)
if not "%NotifyComplete%" == "0" MsgBox "Error: %ErrorText%" "Image for Windows Scripts" 4 1 %NotifyErrorTimeout%
goto :RunPostIFWTasks

:: ########################################################################################################

:RunPostIFWTasks

%RunAfterAlways01%
%RunAfterAlways02%
%RunAfterAlways03%
%RunAfterAlways04%
%RunAfterAlways05%
%RunAfterAlways06%
%RunAfterAlways07%
%RunAfterAlways08%
%RunAfterAlways09%
%RunAfterAlways10%
%RunAfterAlways11%
%RunAfterAlways12%
%RunAfterAlways13%
%RunAfterAlways14%
%RunAfterAlways15%

if not "%IFWExitCode%" == "0" goto :SkipPostIFWTasks

%RunAfterCond01%
%RunAfterCond02%
%RunAfterCond03%
%RunAfterCond04%
%RunAfterCond05%
%RunAfterCond06%
%RunAfterCond07%
%RunAfterCond08%
%RunAfterCond09%
%RunAfterCond10%
%RunAfterCond11%
%RunAfterCond12%
%RunAfterCond13%
%RunAfterCond14%
%RunAfterCond15%

:: ########################################################################################################

:SkipPostIFWTasks

if "%Log%" == "1" echo [%date% at %time%] Image for Windows batch process ended.>> "%IFWLogPath%"
if "%Log%" == "1" echo.>> "%IFWLogPath%"
if "%Log%" == "1" echo ----------------------------------------------------------------------------------------------------------------------------------------------------------->> "%IFWLogPath%"

if defined NotifyComplete if "%NotifyComplete%" == "1" if "%IFWExitCode%" == "0" (cls) & (echo.) & (echo Image for Windows completed successfully.)
if defined NotifyComplete (if "%NotifyComplete%" == "1" if "%IFWExitCode%" == "0" MsgBox "Image for Windows completed successfully." "Image for Windows Scripts" 1 1 %NotifyNormalTimeout%)

goto :EOF

:: ########################################################################################################

:: Image for Windows is a product of TeraByte Unlimited -- http://www.terabyteunlimited.com
:: IsAdmin, IsFree, and MsgBox are utilities provided by Douglas Good, distributed here with permission -- http://www.otbsw.com

:: Copyright (c) 2008 TeraByte, Inc.  All Rights Reserved.

:: End of script
